/*******************************************************************************/
/**
Copyright (c) 2007 Freescale Semiconductor
Freescale Confidential Proprietary
\file       GPIO_macros.h
\brief      Macro definitions for registers access and I/O handling
\author     Freescale Semiconductor
\author     Guadalajara Applications Laboratory RTAC Americas
\author     Jaime Orozco
\version    2.0
\date       April/11/2007
*/
/*******************************************************************************/
/*                                                                             */
/* All software, source code, included documentation, and any implied know-how */
/* are property of Freescale Semiconductor and therefore considered            */ 
/* CONFIDENTIAL INFORMATION.                                                   */
/*                                                                             */
/* This confidential information is disclosed FOR DEMONSTRATION PURPOSES ONLY. */
/*                                                                             */
/* All Confidential Information remains the property of Freescale Semiconductor*/
/* and will not be copied or reproduced without the express written permission */
/* of the Discloser, except for copies that are absolutely necessary in order  */
/* to fulfill the Purpose.                                                     */
/*                                                                             */
/* Services performed by FREESCALE in this matter are performed AS IS and      */
/* without any warranty. CUSTOMER retains the final decision relative to the   */
/* total design and functionality of the end product.                          */
/*                                                                             */
/* FREESCALE neither guarantees nor will be held liable by CUSTOMER for the    */
/* success of this project.                                                    */
/*                                                                             */
/* FREESCALE disclaims all warranties, express, implied or statutory including,*/
/* but not limited to, implied warranty of merchantability or fitness for a    */
/* particular purpose on any hardware, software or advise supplied to the      */
/* project by FREESCALE, and or any product resulting from FREESCALE services. */
/*                                                                             */
/* In no event shall FREESCALE be liable for incidental or consequential       */
/* damages arising out of this agreement. CUSTOMER agrees to hold FREESCALE    */
/* harmless against any and all claims demands or actions by anyone on account */
/* of any damage,or injury, whether commercial, contractual, or tortuous,      */
/* rising directly or indirectly as a result of the advise or assistance       */
/* supplied CUSTOMER in connection with product, services or goods supplied    */
/* under this Agreement.                                                       */
/*                                                                             */
/*******************************************************************************/

#ifndef _GPIO_MACROS_H
#define _GPIO_MACROS_H

/** Variable types and common definitions */
#include "typedefs.h"   


#define D22 PT1AD_PT1AD0                    
#define D23 PT1AD_PT1AD1                    
#define D24 PT1AD_PT1AD2                    
#define D25 PT1AD_PT1AD3

#define D26 PTT_PTT0                     
#define D27 PTT_PTT1                     
#define D28 PTT_PTT2                      
#define D29 PTT_PTT3     
                 

/** Indicator LEDs handling */

/** Set LED */ 
#define LED_ON(BitName)         (BitName = 0)

/** Clear LED */ 
#define LED_OFF(BitName)        (BitName = 1)

/** Toggle LED */ 
#define LED_TOGGLE(BitName)     (BitName ^= 1) 


#endif /* _GPIO_MACROS_H */

/*******************************************************************************/